Attribute forms do not show anymore constraints messages

2019-02-14 09:39 AM - philippe Clastre

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Forms

Affected QGIS version:3.4.4 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 29084

Description

with qgis 3.4.4 on windows 10 desktop, i create a project with a point layer with several attributes

I defines a form with several constraints and message associated.

The message are not shown in the form when it is displayed

With 2.18, description for unsatisfyed constraints used to be displayed at the top of the form, preceeded by a big sign !

History

#1 - 2019-02-18 02:38 PM - Giovanni Manghi

- Regression? set to Yes

- Tracker changed from Feature request to Bug report

- Subject changed from Attribute form does not show constraints messages to Attribute forms do not show anymore constraints messages

- Priority changed from Normal to High

- Affected QGIS version set to 3.4.4

- Crashes QGIS or corrupts data set to No

#2 - 2019-02-19 11:18 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#3 - 2019-02-19 12:18 PM - Alessandro Pasotti

- Resolution set to invalid

- Status changed from Open to Rejected

This is by design: constraint messages in QGIS 3 are shown within a tooltip when mouse pointer is over the "X" icon.

#4 - 2019-02-19 12:21 PM - Giovanni Manghi

- Resolution deleted (invalid)

Alessandro Pasotti wrote:

This is by design: constraint messages in QGIS 3 are shown within a tooltip when mouse pointer is over the "X" icon.

correct. As user I would argue that this functionality is not as user friendly as before, but this is another story ;)
#5 - 2019-02-19 02:23 PM - philippe Clastre

I should add that if you use qgis on a tactile computer, you often don't have a mouse but a stylus. So you can't have access to message that should help the

user to understand why the Ok buton isn't available.

#6 - 2019-02-19 02:28 PM - Giovanni Manghi

- Status changed from Rejected to Closed

- Resolution set to worksforme

philippe Clastre wrote:

I should add that if you use qgis on a tactile computer, you often don't have a mouse but a stylus. So you can't have access to message that should

help the user to understand why the Ok buton isn't available.

good point, this should be raised in the developers mailing list. For what is worth I liked more the 2.18 way.

#7 - 2019-02-19 02:34 PM - Alessandro Pasotti

I think we should take the best out of both versions, but yes this should be discussed somewhere else.
